# Note that this is NOT a relocatable package

Summary: An XML library.
Name: libxml
Version: 1.8.14
Release: 1
Epoch: 1
License: LGPL
Group: System Environment/Libraries
Source: ftp://rpmfind.net/pub/libxml/libxml-%{version}.tar.bz2
URL: http://xmlsoft.org/
BuildRoot: %{_tmppath}/%{name}-root

%description
The libxml package contains an XML library, which allows you to
manipulate XML files. XML (eXtensible Markup Language) is a data
format for structured document interchange via the Web.

%package devel
Summary: Libraries, includes and other files to develop libxml applications.
Group: Development/Libraries
Requires: libxml = %{version}
Requires: zlib-devel

%description devel
The libxml-devel package contains the libraries, include and other
files you can use to develop libxml applications.

%prep
%setup -q

%build

%configure
make

%install
rm -rf ${RPM_BUILD_ROOT}

#make prefix=${RPM_BUILD_ROOT}%{_prefix} install
%makeinstall

# XXX multilib arches need this
[ "%{_libdir}" != "%{_prefix}/lib" ] && {
    cd ${RPM_BUILD_ROOT}
    mkdir -p .%{_prefix}/lib
    mv .%{_libdir}/*.sh  .%{_prefix}/lib/
}
#
# another hack to get /usr/include/gnome-xml/libxml/
#
if [ -d $RPM_BUILD_ROOT/%{_includedir}/gnome-xml ]
then
    (cd $RPM_BUILD_ROOT/%{_includedir}/gnome-xml ; ln -sf . libxml)
fi

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING COPYING.LIB TODO
%doc doc/html
%{_libdir}/lib*.so.*

%files devel
%defattr(-, root, root)
%docdir %{_datadir}/gnome-xml/html
%{_libdir}/pkgconfig/*
%{_datadir}/gnome-xml
%{_bindir}/xml-config
%{_libdir}/lib*.so
%{_libdir}/*a
%{_prefix}/lib/*.sh
%{_includedir}/*

%changelog

* Tue Jul 10 2001 Peter Hanecak <hanecak@megaloman.sk>
- .bz2 source archiv used
- some stuff from RedHat's 1.8.11-2 spec file incorporated

* Thu Sep 23 1999 Daniel Veillard <Daniel.Veillard@w3.org>

- corrected the spec file alpha stuff
- switched to version 1.7.1
- Added validation, XPath, nanohttp, removed memory leaks
- Renamed CHAR to xmlChar

* Wed Jun  2 1999 Daniel Veillard <Daniel.Veillard@w3.org>

- Switched to version 1.1: SAX extensions, better entities support, lots of
  bug fixes.

* Sun Oct  4 1998 Daniel Veillard <Daniel.Veillard@w3.org>

- Added xml-config to the package

* Thu Sep 24 1998 Michael Fulbright <msf@redhat.com>

- Built release 0.30
